org.eclipse.emf.cdo.session

## Class CDORetryExceptionHandler

- java.lang.Object
- - org.eclipse.emf.cdo.session.CDORetryExceptionHandler

- All Implemented Interfaces:
    CDOSession.ExceptionHandler

      public class CDORetryExceptionHandler
      extends java.lang.Object
      implements CDOSession.ExceptionHandler

  A `session exection handler` that retries the failed protocol operation a configurable number of times.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `RETRY_FOREVER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDORetryExceptionHandler()`
    `CDORetryExceptionHandler(int retries)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRetries()`
    `void` | `handleException(CDOSession session, int attempt, java.lang.Exception exception)`
    `boolean` | `isRetryingForever()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RETRY_FOREVER

          public static final int RETRY_FOREVER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CDORetryExceptionHandler

          public CDORetryExceptionHandler(int retries)

    - #### CDORetryExceptionHandler

          public CDORetryExceptionHandler()

  - ### Method Detail

    - #### getRetries

          public int getRetries()

    - #### isRetryingForever

          public boolean isRetryingForever()

    - #### handleException

          public void handleException(CDOSession session,
                                      int attempt,
                                      java.lang.Exception exception)
                               throws java.lang.Exception

      Specified by:
        `handleException` in interface `CDOSession.ExceptionHandler`
      Throws:
        `java.lang.Exception`
      Since:
        4.0

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html